<?php

/*DON'T REMOVE THIS FILE. THIS FILE IS A PART OF SITEGUARDING ANTIVIRUS.*/

date_default_timezone_set('Europe/London');
$session = trim(filter_input(INPUT_GET,'session'));
$session_check = md5(dirname(__FILE__) . date("Y-m-d"));
if ($session != $session_check)
{
	print_r("Direct access is not allowed. Please contact to Siteguarding.com");
	return;
} 

error_reporting(0);
ignore_user_abort(true);
set_time_limit(600);

if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN') {
    define('DIRSEP', '\\');
} else {
    define('DIRSEP', '/');
}

if(file_exists('webanalyze'.DIRSEP.'EasyRequest.php')){
    require('webanalyze'.DIRSEP.'EasyRequest.php');
}

$task = trim(filter_input(INPUT_POST,'task'));

Antivirus::TemplateHeader();

if (file_exists(Antivirus::GetPath() . Antivirus::$antivirus_work_folder . 'antivirus_installer.php') && $task == '') {
    Antivirus::PrintPage_Installation();
} else {
    switch ($task) {
        case 'Installation':
            $result = Antivirus::Installation();
            if ($result !== true) Antivirus::PrintPage_Message($result, 'error');
            else Antivirus::PrintPage_Dashboard();
            break;

        case 'StartScanner':
            Antivirus::StartScanner();
            break;


        default:
            Antivirus::PrintPage_Dashboard();

    }

}

class Antivirus
{
    public static $SITEGUARDING_SERVER = 'http://www.siteguarding.com/ext/antivirus/index.php';
    public static $SITEGUARDING_SERVER_HTTPS = 'https://www.siteguarding.com/ext/antivirus/index.php';
    public static $antivirus_work_folder = '/webanalyze/';
    public static $antivirus_assets_folder = '/webanalyze/assets/';

    static function TemplateHeader()
    {
        ?>
        <!DOCTYPE html>
        <html>
        <head>
            <meta charset="utf-8"/>
            <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"/>
            <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
            <title>Website Antivirus Scanner by SiteGuarding.com</title>
            <link rel="stylesheet" type="text/css" href="webanalyze/assets/semantic.min.css">
            <script src="webanalyze/assets/jquery.min.js"></script>
            <script src="webanalyze/assets/semantic.min.js"></script>
            <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
            <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
            <script src="webanalyze/assets/module.js"></script>
            <link rel="stylesheet" type="text/css" href="webanalyze/assets/module.css">
            <style type="text/css">
                body > .grid {
                    height: 100%;
                }

                .image {
                    margin-top: -100px;
                }

                .column {
                    max-width: 450px;
                }
            </style>
        </head>
        <body>
    <?php
    }

    static function PrintPage_Installation()
    {
        ?>
        <script>
            $(document)
                .ready(function () {
                    $('.ui.form')
                        .form({
                            fields: {
                                email: {
                                    identifier: 'email',
                                    rules: [
                                        {
                                            type: 'empty',
                                            prompt: 'Please enter your e-mail'
                                        },
                                        {
                                            type: 'email',
                                            prompt: 'Please enter a valid e-mail'
                                        }
                                    ]
                                }
                            }
                        })
                    ;
                })
            ;
        </script>

        <div class="ui middle aligned center aligned grid">
            <div class="column left aligned">

                <form method="post" class="ui large form left aligned">
                    <div class="ui stacked segment">

                        <h2 class="ui image header">
                            <img
                                src="<?php print_r(Antivirus::GetWebsiteURL() . Antivirus::$antivirus_assets_folder); ?>wpAntivirusSiteProtection-logo.png"
                                class="image">

                            <div class="content">
                                Antivirus Installation
                            </div>
                        </h2>

                        <div class="field">
                            <label>Website URL</label>
                            <input disabled="disabled" type="text" name="website_url"
                                   value="<?php print_r(Antivirus::GetWebsiteURL()); ?>"
                                   placeholder="Please enter your Website URL">
                        </div>

                        <div class="field">
                            <label>Email</label>
                            <input type="text" name="email" placeholder="Please enter your Email">
                        </div>

                        <div class="ui fluid large green submit button">Install Antivirus</div>
                    </div>

                    <div class="ui error message"></div>

                    <input type="hidden" name="task" value="Installation">
					

                </form>

            </div>
        </div>
    <?php
    }

    static function GetWebsiteURL()
    {
        $protocol = isset($_SERVER["HTTPS"]) ? 'https' : 'http';
        $this_filename = pathinfo(__FILE__, PATHINFO_BASENAME);
        return $protocol . '://' . $_SERVER['HTTP_HOST'] . str_replace($this_filename, "", $_SERVER['SCRIPT_NAME']);
    }

    static function GetPath()
    {
        return dirname(__FILE__);
    }

    public static function CheckFirewall()
    {
        $scan_path = self::GetPath();
        $firewall_file = $scan_path . DIRSEP . 'webanalyze' . DIRSEP . 'firewall' . DIRSEP . 'firewall.php';
        if (file_exists($firewall_file)) return true;
        else return false;
    }

    static function Installation()
    {
        $link = self::$SITEGUARDING_SERVER . '?action=register&type=json&data=';
        $link_https = self::$SITEGUARDING_SERVER_HTTPS . '?action=register&type=json&data=';

        $domain = self::GetWebsiteURL();
        $email = trim(filter_input(INPUT_POST,'email'));
        $access_key = md5(time() . $domain . rand(1, 20000) . $email);

        $data = array(
            'domain' => $domain,
            'email' => $email,
            'access_key' => $access_key,
            'errors' => '',
            'call_back' => 1,
			'cms' => 'magento'
        );
        $link .= base64_encode(json_encode($data));
        $link_https .= base64_encode(json_encode($data));
		
		if(function_exists('file_get_contents')){
			$content = @file_get_contents($link);
			if(stripos($content,'installation_ok') === true){
				return true;
			} else {
				$content = @file_get_contents($link_https);
				if(stripos($content,'installation_ok') === true) return true;
			}
		}

        $request = Sg_EasyRequest::create($link);
        $request->send();
        $response = trim($request->getResponseBody());
        if ($response == 'installation_ok') return true;
        else {
            $request = Sg_EasyRequest::create($link_https);
            $request->send();
            $response = trim($request->getResponseBody());
            if ($response == 'installation_ok') return true;
            else {
                $error = $request->getDebugInfo();
				$error = $error['errors'];
                $error = implode(", ", $error);
                return true;
            }

        }

    }


    static function PrintPage_Message($txt = '', $type = 'error')
    {
        switch ($type) {
            case 'error':
                $type = 'red';
                break;
            case 'ok':
                $type = 'green';
                break;
            case 'alert':
                $type = 'yellow ';
                break;
            default:
                $type = '';
        }
        ?>
        <div class="ui middle aligned center aligned grid">
            <div class="column">
                <div class="ui <?php print_r($type); ?> message"><?php print_r($txt); ?></div>
            </div>
        </div>
    <?php
    }
	
	static function CheckBlacklists(){
		
		$data = array();
		
		$domain = self::GetDomain();
		
		
		$link = "http://www.siteadvisor.com/sites/".$domain;
		
		$request = Sg_EasyRequest::create($link);
        $request->send();
        $content = $request->getResponseBody();
		if (strlen($content) > 200)
		{
			if ((strpos($content, 'siteYellow') === true ) || (strpos($content, 'siteRed')) === true )
			{
				$data['MCAF'] = 'BL';
			} 
			else $data['MCAF'] = 'OK';
		} else {
			$data['MCAF'] = 'OK';
		}
		
		$link = "https://safeweb.norton.com/report/show?url=".$domain;
		$request = Sg_EasyRequest::create($link);
        $request->send();
        $content = $request->getResponseBody();

		if (strlen($content) > 200)
		{
				if (stripos($content, 'SAFE') === false || stripos($content, 'UNTESTED') === false)
				{
					$data['NORT'] = 'BL';
				}
				
				else {
					
					$data['NORT'] = 'OK';
				} 
		}
		return $data;
					
		}
		

    static function PrintIconMessage($data)
    {
        $rand_id = "id_" . rand(1, 10000) . '_' . rand(1, 10000);
        if ($data['type'] == '' || $data['type'] == 'alert') {
            $type_message = 'alert-danger';
            $icon = 'glyphicon-remove-sign';
        }
        if ($data['type'] == 'ok') {
            $type_message = 'alert-success';
            $icon = 'glyphicon-ok-sign';
        }
        if ($data['type'] == 'info') {
            $type_message = 'alert-warning';
            $icon = 'glyphicon-info-sign';
        }
        ?>
        <div class="alert <?php print_r($type_message); ?>">
            <i class="glyphicon <?php print_r($icon); ?>"></i>

            <div class="msgbox">
                <h4><b><?php print_r($data['header']);?></b></h4><?php print_r($data['message']);?>
                <?php
                if ($data['help_text'] !== '') {
                    ?>
                    <div id="<?php print_r($rand_id); ?>" class="collapse">
                        <hr> <?php print_r($data['help_text']); ?></div>
                <?php
                }
                ?>
            </div>
            <div class="msgbtn">
                <?php
                if ($data['help_text'] !== '') {
                    ?>
                    <a href="javascript:;" data-toggle="collapse" data-target="#<?php print_r($rand_id); ?>"
                       class="glyphicon glyphicon-question-sign"></a>
                <?php
                }
                if ($data['button_text'] !== '') {
                    ?>
                    <a target="_blank" href="<?php print_r($data['button_url']); ?>"
                       class="btn btn-success"><?php print_r($data['button_text']); ?></a>
                <?php
                }
                ?>
            </div>
        </div>
    <?php
    }

    /**
     *
     */
static function PrintPage_Dashboard()
    {
        $license_info = self::Get_License_info();
        self::PrintBlock_LogoMenu();
		$active_report = (int) trim(filter_input(INPUT_POST,'reports'));
        ?>
		<script type="text/javascript">
			var flag = <?php print_r($active_report); ?>;
		</script>
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 bhoechie-tab-container">
                    <div class="col-lg-2 col-md-2 col-sm-2 col-xs-2 bhoechie-tab-menu ">
                        <div class="list-group left-menu">
                            <a href="#" class="list-group-item active text-center">
                                <h2 class="glyphicon glyphicon-screenshot"></h2><br/>Antivirus Scanner
                            </a>
                            <a id="menu_reports" href="#" class="list-group-item text-center">
                                <h2 class="glyphicon glyphicon-list-alt"></h2><br/>Reports
                            </a>
                            <a href="#" class="list-group-item text-center">
                                <h2 class="glyphicon glyphicon-exclamation-sign"></h2><br/>Blacklists Status
                            </a>
                            <a href="#" class="list-group-item text-center">
                                <h2 class="glyphicon glyphicon-cog"></h2><br/>How it works
                            </a>
                            <a href="#" class="list-group-item text-center">
                                <h2 class="glyphicon glyphicon-user"></h2><br/>About Us
                            </a>
                        </div>
                    </div>
				

                    <div class="col-lg-10 col-md-10 col-sm-10 col-xs-10 bhoechie-tab">
                        <div class="bhoechie-tab-content active">
                            <h2 class="text-left">Security Status for <?php print_r($license_info["domain"]);?></h2>
                            <hr>
                            <?php
                            switch ($license_info['membership']) {
                                case 'trial':
                                    $message_data = array(
                                        'type' => 'info',
                                        'header' => 'You have: Trial version.',
                                        'message' => 'Available Scans: ' . $license_info['scans'] . '<br>Valid till: ' . $license_info['exp_date'],
                                        'button_text' => 'Upgrade',
                                        'button_url' => 'https://www.siteguarding.com/en/buy-service/antivirus-site-protection?domain=' . self::GetDomain(),
                                        'help_text' => ''
                                    );
                                    break;
                                case 'free':
                                    $message_data = array(
                                        'type' => 'alert',
                                        'header' => 'You have: Free version.',
                                        'message' => 'Available Scans: ' . $license_info['scans'],
                                        'button_text' => 'Upgrade',
                                        'button_url' => 'https://www.siteguarding.com/en/buy-service/antivirus-site-protection?domain=' . self::GetDomain(),
                                        'help_text' => ''
                                    );
                                    break;
                                case 'pro':
                                    $message_data = array(
                                        'type' => 'ok',
                                        'header' => 'You have: Pro version.',
                                        'message' => 'Available Scans: ' . $license_info['scans'] . '<br>Valid till: ' . $license_info['exp_date'],
                                        'button_text' => '',
                                        'button_url' => '',
                                        'help_text' => ''
                                    );
                                    break;
                            }
                            self::PrintIconMessage($message_data);

                            if (count($license_info['reports']) > 0) {
                                if ($license_info['last_scan_files_counters']['main'] == 0 && $license_info['last_scan_files_counters']['heuristic'] == 0) {
                                    $message_data = array(
                                        'type' => 'ok',
                                        'header' => 'Website is clean',
                                        'message' => 'We didn\'t detect any problems and viruses on your website.',
                                        'button_text' => '',
                                        'button_url' => '',
                                        'help_text' => ''
                                    );
                                }
                                if ($license_info['filemonitoring']['status'] == 0) {
                                    $extra_clean_text = '';
                                    $link_clean = 'https://www.siteguarding.com/en/services/malware-removal-service';
                                    $button_text = 'Clean Website';
                                } else {
                                    $extra_clean_text = "You have subscription with SiteGuarding.com and can request free cleaning. Please send us a ticket to request the cleaning service.";
                                    $link_clean = 'https://www.siteguarding.com/en/contacts';
                                    $button_text = 'Send Request';
                                }

                                if ($license_info['last_scan_files_counters']['main'] > 0) {
                                    $message_data = array(
                                        'type' => 'alert',
                                        'header' => 'Website is infected',
                                        'message' => 'We have detected virus / unsafe files on your website.',
                                        'button_text' => $button_text,
                                        'button_url' => $link_clean,
                                        'help_text' => $extra_clean_text
                                    );
                                } else if ($license_info['last_scan_files_counters']['heuristic'] > 0) {
                                    $message_data = array(
                                        'type' => 'alert',
                                        'header' => 'Website has unsafe/infected files',
                                        'message' => 'We have detected virus / unsafe files on your website.',
                                        'button_text' => $button_text,
                                        'button_url' => $link_clean,
                                        'help_text' => $extra_clean_text
                                    );
                                }

                            } else {
                                $message_data = array(
                                    'type' => 'info',
                                    'header' => 'Website never analyzed before',
                                    'message' => 'Please go to Antivirus section and scan your website.',
                                    'button_text' => '',
                                    'button_url' => '',
                                    'help_text' => ''
                                );
                            }
                            self::PrintIconMessage($message_data);

                            if ($license_info['filemonitoring']['status'] == 0) {
                                $message_data = array(
                                    'type' => 'alert',
                                    'header' => 'Files Change Monitoring',
                                    'message' => 'You don\'t have subscription for this service. Learn more how it works.',
                                    'button_text' => 'Subsribe',
                                    'button_url' => 'https://www.siteguarding.com/en/protect-your-website',
                                    'help_text' => '<p>One of the services provided by us is the day-to-day scanning and checking Your website for malware installation and changes in the files.</p><p>If hacker upload any file, remove or inject malware codes into the website\'s files. We will easy detect it and fix the issue.</p>'
                                );
                            } else {
                                $message_data = array(
                                    'type' => 'ok',
                                    'header' => 'Files Change Monitoring',
                                    'message' => 'Your subscription is ' . $license_info['filemonitoring']['plan'] . ' [' . $license_info['filemonitoring']['exp_date'] . ']',
                                    'button_text' => '',
                                    'button_url' => '',
                                    'help_text' => '<p>One of the services provided by us is the day-to-day scanning and checking Your website for malware installation and changes in the files.</p><p>If hacker upload any file, remove or inject malware codes into the website\'s files. We will easy detect it and fix the issue.</p>'
                                );
                            }
                            self::PrintIconMessage($message_data);

                            if (!self::CheckFirewall()) {
                                $message_data = array(
                                    'type' => 'alert',
                                    'header' => 'Website Firewall',
                                    'message' => 'Firewall is not installed. We don\'t filter the traffic of your website.',
                                    'button_text' => 'Subsribe',
                                    'button_url' => 'https://www.siteguarding.com/en/protect-your-website',
                                    'help_text' => 'A website firewall is an appliance, standalone plugin that applies a set of rules to an HTTP conversation. Generally, these rules cover common attacks such as cross-site scripting (XSS), backdoor requests and SQL injection. By customizing the rules to your application, many attacks can be identified and blocked.'
                                );
                            } else {
                                $message_data = array(
                                    'type' => 'ok',
                                    'header' => 'Website Firewall',
                                    'message' => 'Firewall is installed',
                                    'button_text' => '',
                                    'button_url' => '',
                                    'help_text' => 'A website firewall is an appliance, standalone plugin that applies a set of rules to an HTTP conversation. Generally, these rules cover common attacks such as cross-site scripting (XSS), backdoor requests and SQL injection. By customizing the rules to your application, many attacks can be identified and blocked.'
                                );
                            }
                            self::PrintIconMessage($message_data);

                            if (!isset($license_info['filemonitoring']['remote_backup_status']) || $license_info['filemonitoring']['remote_backup_status'] == 0) {
                                $message_data = array(
                                    'type' => 'alert',
                                    'header' => 'Website Backup service',
                                    'message' => 'You don\'t have subscription for this service. Learn more how it works.',
                                    'button_text' => 'Subsribe',
                                    'button_url' => 'https://www.siteguarding.com/en/importance-of-website-backup',
                                    'help_text' => '<p>It is extremely important to have your website backed up regularly. The website backup means that you can have a similar copy of your content and data with you. You can keep it safe. Whatever happens to your website, the data will be available to you, and you can use it later.</p>'
                                );
                            } else {
                                $message_data = array(
                                    'type' => 'ok',
                                    'header' => 'Website Backup service',
                                    'message' => 'Your subscription is ' . $license_info['filemonitoring']['plan'] . ' [' . $license_info['filemonitoring']['exp_date'] . ']',
                                    'button_text' => '',
                                    'button_url' => '',
                                    'help_text' => '<p>It is extremely important to have your website backed up regularly. The website backup means that you can have a similar copy of your content and data with you. You can keep it safe. Whatever happens to your website, the data will be available to you, and you can use it later.</p>'
                                );
                            }
                            self::PrintIconMessage($message_data);
                            ?>
                            <p>To start the scan process click "Start Scanner" button.</p><br>

                            <p>Scanner will automatically collect and analyze the files of your website. The scanning
                                process can take up to 10 mins (it depends of speed of your server and amount of the
                                files to analyze). The copy of the report we will send by email for your records.</p>
                            <br>

                            <form method="post">
                                <div class="startscanner">
                                    <p style="text-align: center;">
                                        <input type="submit" name="submit" id="submit" class="btn btn-success btn-lg"
                                               value="Start Scanner"><br><br>
                                        Scanner will check all the files for this website and all the folders.
                                    </p>

                                </div>
                                <input type="hidden" name="task" value="StartScanner"/>
                            </form>
                        </div>
                        <div class="bhoechie-tab-content">
                            <h2 class="text-left">Latest Reports</h2>
                            <hr>
                            <h4>Latest File Reports
                                <h4>
                                    <?php
                                    $reports = $license_info['reports'];
                                    if (count($reports)) {
                                        ?>
                                        <p>
                                            <?php
                                            foreach ($reports as $report_info) {
                                                ?>
                                                <a href="<?php print_r($report_info['report_link']); ?>" target="_blank">Click
                                                    to view report for <?php print_r($report_info['domain']); ?>.
                                                    Date: <?php print_r($report_info['date']); ?></a><br/>
                                            <?php
                                            }
                                            ?>
                                        </p>
                                    <?php
                                    } else {
                                        ?>
                                        <p>You don't have any available report yet. Please scan your website.</p>
                                    <?php
                                    }
                                    ?>
                                    <hr>
                                    <h4>Latest File Scan Results</h4>
                                    <?php
                                    if ($license_info['membership'] == 'free') {
                                        $message_data = array(
                                            'type' => 'info',
                                            'header' => 'Version Limits',
                                            'message' => 'Malware Removal feature is disabled. Available in PRO version only.',
                                            'button_text' => 'Upgrade',
                                            'button_url' => 'https://www.siteguarding.com/en/buy-service/antivirus-site-protection?domain=' . self::GetDomain(),
                                            'help_text' => ''
                                        );
                                        self::PrintIconMessage($message_data);
                                    }
                                    ?>
                                    <?php
                                    if (count($license_info['last_scan_files']['heuristic'])) {
                                        foreach ($license_info['last_scan_files']['heuristic'] as $k => $tmp_file) {
											if(substr($tmp_file,0,1)== "*") continue;
                                            if (!file_exists(dirname(__FILE__) . '/' . $tmp_file)) unset($license_info['last_scan_files']['heuristic'][$k]);
                                        }
                                        if (count($license_info['last_scan_files']['heuristic']) > 0) {
                                            ?>
                                            <div class="latestfiles_block">
                                                <h4>Review is required
                                                <?php
                                                if ($license_info['whitelist_filters_enabled'] == 1) {
                                                    ?>
                                                    <span class="label label-danger">White list is enabled</span>
                                                <?php
                                                }
                                                ?>
                                            </h4>
                                                <?php
                                                foreach ($license_info['last_scan_files']['heuristic'] as $tmp_file)
                                                {
                                                    print_r('<p>'.$tmp_file.'</p>');
                                                }

                                                ?>
                                                <br>
                                            </div>
                                        <?php
                                        }
                                    }
                                    ?>
                        </div>
                        <div class="bhoechie-tab-content">
                            <h2 class="text-left">Blacklist status</h2>
                            <hr>
							<?php
							    if ($license_info['blacklist']['google'] != 'ok')
								{
									$message_data = array(
										'type' => 'alert',
										'header' => 'Google blacklist status',
										'message' => 'Website is blacklisted. Reason '.$license_info['blacklist']['google'],
										'button_text' => 'Clean Website',
										'button_url' => 'https://www.siteguarding.com/en/services/malware-removal-service',
										'help_text' => ''
									);
								}
								else {
									$message_data = array(
										'type' => 'ok',
										'header' => 'Google blacklist status',
										'message' => 'Your website is not blacklisted in Google.',
										'button_text' => '',
										'button_url' => '',
										'help_text' => ''
									);
								}
								self::PrintIconMessage($message_data);
								$nort_bl = self::CheckBlacklists();
								$nort_bl = $nort_bl['NORT'];
								if($nort_bl == 'OK' || !isset($nort_bl)){
									$message_data = array(
										'type' => 'ok',
										'header' => 'Norton blacklist status',
										'message' => 'Your website is not blacklisted in Norton.',
										'button_text' => '',
										'button_url' => '',
										'help_text' => ''
									);
								} else {
									$message_data = array(
										'type' => 'alert',
										'header' => 'Norton blacklist status',
										'message' => 'Website is blacklisted.',
										'button_text' => 'Clean Website',
										'button_url' => 'https://www.siteguarding.com/en/services/malware-removal-service',
										'help_text' => ''
									);
								}
								self::PrintIconMessage($message_data);
								$mcaf_bl = self::CheckBlacklists();
								$mcaf_bl = $mcaf_bl['MCAF'];
								if($mcaf_bl == 'OK'){
									$message_data = array(
										'type' => 'ok',
										'header' => 'McAfee blacklist status',
										'message' => 'Your website is not blacklisted in McAfee.',
										'button_text' => '',
										'button_url' => '',
										'help_text' => ''
									);
								} else {
									$message_data = array(
										'type' => 'alert',
										'header' => 'McAfee blacklist status',
										'message' => 'Website is blacklisted.',
										'button_text' => 'Clean Website',
										'button_url' => 'https://www.siteguarding.com/en/services/malware-removal-service',
										'help_text' => ''
									);
								}
								self::PrintIconMessage($message_data);
							?>
                        </div>
                        <div class="bhoechie-tab-content">
                            <center>
                                <h3 style="text-decoration:underline;">Do you need clean and protected website? Please learn how it works.</h3>
								<p><a href="https://www.siteguarding.com/en/protect-your-website" target="_blank">Our security packages</a> cover all your needs. Focus on your business and leave security to us.</p>
								<div style="max-width:700px;"><iframe src="https://player.vimeo.com/video/140200465" width="100%"  height="400" frameborder="0" webkitallowfullscreen="" mozallowfullscreen="" allowfullscreen=""></iframe></div>
								<br>
								<br>
								<a  href="https://www.siteguarding.com/en/protect-your-website" target="_blank" class="btn btn-success btn-lg">Protect My Website</a>
								<br>
								<br>
							    <p>
								<a href="https://www.siteguarding.com/" target="_blank">SiteGuarding.com</a> - Website Security. Professional security services against hacker activity.
								</p>
								<br>
								<a href="http://www.siteguarding.com/livechat/index.html" target="_blank">
								<img src="webanalyze/assets/livechat.png"/>
								</a><br />
								<br />
								For any questions and support please use LiveChat or this <a href="https://www.siteguarding.com/en/contacts" rel="nofollow" target="_blank" title="SiteGuarding.com - Website Security. Professional security services against hacker activity. Daily website file scanning and file changes monitoring. Malware detecting and removal.">contact form</a>
							</center>
							
                        </div>
                        <div class="bhoechie-tab-content">
						<center>
						<h2>Why We Are Different</h2><br>
						</center>
						<div class="well well-sm whywearedifferent">
							Our strategic goal is to develop the <strong>highest-grade Security Tools</strong> that provide an impenetrable barrier to all present and future computer threats without exception. Our tools set themselves apart from all other vendor products by not adhering to an update schedule. The release of a virus update is immediate once a new threat appears and is analyzed.
						</div>
						<div class="well well-sm whywearedifferent">
							We have our own <strong>virus monitoring service</strong> and analytical laboratory. This provides a rapid response to latest threats and allows us to solve any problems of customers in a few hours.
						</div>
						<div class="well well-sm whywearedifferent">
							You will get <strong>24/7/365 professional support</strong> from our security experts.
						</div>
						<div class="well well-sm whywearedifferent">
							Strong and unique Heuristic algorithms to <strong>detect unknown viruses and new threats.</strong>
						</div>
						<div class="well well-sm whywearedifferent">
							Deep scan of each file on your website and <strong>unique security solutions</strong> can guarantee that your website will be up all the time and protected.
						</div>
						<div class="well well-sm whywearedifferent">
							We don't use only automatic scans and methods. Every website <strong>we clean manually</strong> to get results that are more accurate. Help to <strong>remove your website from blacklists.</strong>
						</div>
						<div class="well well-sm whywearedifferent">
							Our security tools <strong>can work on any type of servers</strong> (shared, VPS, dedicated) and <strong>any CMS</strong> (Content Management Systems: WordPress, Joomla, Drupal and etc) and custom developed websites and web applications.
						</div>
						<hr>
						<br>
						<center><h2>What We Do</h2></center><br>
						<div class="table-responsive whatwedo"> 
							  <table class="table">
							  <tr>
								<td><h5><strong>Website Antivirus</strong></h5>
								<div class="whatwedo_list">
									<p><i class="glyphicon glyphicon-ok"></i>Online tool to check your files</p>
									<p><i class="glyphicon glyphicon-ok"></i>Complete antivirus solution for your website</p>
									<p><i class="glyphicon glyphicon-ok"></i>Daily update of the virus database</p>
									<p><i class="glyphicon glyphicon-ok"></i>Strong and unique Heuristic algorithm to detect unknown viruses</p>
									<p><i class="glyphicon glyphicon-ok"></i>Daily cron feature (automatically daily scanning of your website)</p>
									<p><i class="glyphicon glyphicon-ok"></i>Malware removal and code analyze by our security experts</p>
								</div>
								<br>
								<a class="btn btn-success btn-sm" href="https://www.siteguarding.com/en/website-antivirus" target="_blank">Learn More</a>
								</td>
								<td><h5><strong>Malware Removal</strong></h5>
								<div class="whatwedo_list">
									<p><i class="glyphicon glyphicon-ok"></i>We remove malware fast (Get help 24/7)</p>
									<p><i class="glyphicon glyphicon-ok"></i>We keep websites clean</p>
									<p><i class="glyphicon glyphicon-ok"></i>We prevent future attacks</p>
									<p><i class="glyphicon glyphicon-ok"></i>We give result guarantee</p>
									<p><i class="glyphicon glyphicon-ok"></i>We fix the bugs what hacker used to hack your website</p>
									<p><i class="glyphicon glyphicon-ok"></i>Get free professional consultation from our security experts and engineers</p>
								</div>
								<br>
								<a class="btn btn-success btn-sm" href="https://www.siteguarding.com/en/services/malware-removal-service" target="_blank">Learn More</a>
								</td>
								<td><h5><strong>Scanning & Monitoring</strong></h5>
								<div class="whatwedo_list">
									<p><i class="glyphicon glyphicon-ok"></i>Server-side scanning & Monitoring</p>
									<p><i class="glyphicon glyphicon-ok"></i>Malware detection & removal</p>
									<p><i class="glyphicon glyphicon-ok"></i>Notifications & Alerting by email or SMS</p>
									<p><i class="glyphicon glyphicon-ok"></i>Daily analyze of all the changes on your website</p>
									<p><i class="glyphicon glyphicon-ok"></i>Full website backup</p>
									<p><i class="glyphicon glyphicon-ok"></i>Summary daily, weekly and monthly analyze</p>
								</div>
								<br>
								<a class="btn btn-success btn-sm" href="https://www.siteguarding.com/en/protect-your-website" target="_blank">Learn More</a>
								</td>
								<td><h5><strong>Security Extensions</strong></h5>
								<div class="whatwedo_list">
									<p><i class="glyphicon glyphicon-ok"></i>Support popular CMS (WordPress, Joomla, Drupal)</p>
									<p><i class="glyphicon glyphicon-ok"></i>Prevent hacker attacks to admin areas of your website</p>
									<p><i class="glyphicon glyphicon-ok"></i>Prevent bruteforce attacks</p>
									<p><i class="glyphicon glyphicon-ok"></i>Alerts and notifications if unusual activity is detected</p>
									<p><i class="glyphicon glyphicon-ok"></i>Antispam solutions (unique graphic captcha)</p>
									<p><i class="glyphicon glyphicon-ok"></i>Custom website development (safe and stable code)</p>
								</div>
								<br>
								<a class="btn btn-success btn-sm" href="https://www.siteguarding.com/en/website-extensions" target="_blank">Learn More</a>
								
								</td>
							  </tr>
							  </table>
						</div>
                </div>
            </div>
        </div>
    <?php
    }
	
	static function StartScanner()
    {
        self::PrintBlock_LogoMenu();
        
        $session_report_key = md5(self::GetWebsiteURL().rand(1, 10000).time());
        $license_info = self::Get_License_info(); 
        
        
        ?>
          
	<script src="<?php print_r(Antivirus::GetWebsiteURL().Antivirus::$antivirus_assets_folder); ?>canvasloader-min.js" type="text/javascript"></script>
        
		
		<div class="container-fluid scanprocess">
			<div class="row">
				<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
				<div class="well" style="text-align: center;max-width:600px;margin-right:auto; margin-left:auto;margin-top:5%;">
					<strong>If the scanning process takes too long. Get the results using the link</strong><br />
					<a href="https://www.siteguarding.com/antivirus/viewreport?report_id=<?php print_r($session_report_key); ?>&showtrial=1" target="_blank">https://www.siteguarding.com/antivirus/viewreport?report_id=<?php print_r(session_report_key); ?></a>
				</div>
				<div style="margin-right:auto; margin-left:auto;text-align: center;" class=""><h3>Please wait. It can take up to 5 - 10 minutes to get the results.</h3></div>
				<p style="text-align: center;" id="progress_bar_txt"></p>
                
				</div>
			</div>
			<div id="canvasloader-container" style="position:absolute;top:50%;left:50%;"></div>
		</div>

            <script type="text/javascript">
            	var cl = new CanvasLoader('canvasloader-container');
            	cl.setColor('#4b9307'); // default is '#000000'
            	cl.setShape('spiral'); // default is 'oval'
            	cl.setDiameter(118); // default is 40
            	cl.setDensity(26); // default is 40
            	cl.setSpeed(1); // default is 2
            	cl.show(); // Hidden by default
            	
            	// This bit is only for positioning - not necessary
            	  var loaderObj = document.getElementById("canvasLoader");
            	loaderObj.style.position = "absolute";
            	loaderObj.style["top"] = cl.getDiameter() * -0.5 + "px";
            	loaderObj.style["left"] = cl.getDiameter() * -0.5 + "px";
                
  
            $(document).ready(function(){
            	
            	var refreshIntervalId;
            	
         		<?php
               	$ajax_url = self::GetWebsiteURL().'/webanalyze/antivirus.php?task=scan&access_key='.$license_info['access_key'].'&session_report_key='.$session_report_key.'&email='.$license_info['email'].'&cache='.time();
               	?>
               	var link = "<?php print_r($ajax_url); ?>";

				$.post(link, {
					    no_html: "1"
					},
					function(data){
						/*if (data != '') alert(data);*/
					}
				);
				
				
				
				function GetProgress()
				{
             		<?php
                   	$ajax_url = self::GetWebsiteURL().'/webanalyze/antivirus.php?task=scan_status&access_key='.$license_info['access_key'].'&cache='.time();
                   	?>
	               	var link = "<?php print_r($ajax_url); ?>";
	
					$.post(link, {
						    no_html: "1"
						},
						function(data){
							if (data == 'report_redirect') 
							{
								document.location.href = 'https://www.siteguarding.com/antivirus/viewreport?report_id=<?php print_r($session_report_key); ?>&showtrial=1';
								return;
							}
						    var tmp_data = data.split('|');
						    $("#progress_bar_txt").html(tmp_data[0]+'% - '+tmp_data[1]);
						    
						    if (parseInt(tmp_data[0]) >= 100) $("#adminForm").submit();
						}
					);	
				}
				
				refreshIntervalId =  setInterval(GetProgress, 3000);
				
            });
            
                        
            </script>
            
            <form action="<?php  $_SERVER['PHP_SELF']; ?>" method="post"  name="task" id="adminForm" >
					<input type="hidden" name="session" value="<?php print_r(md5(dirname(__FILE__) . date("Y-m-d"))); ?>" />
					<input type="hidden" name="reports" value="1" />
			</form>
        
        <?php
    }

    static function PrintBlock_LogoMenu()
    {
        ?>
        <style type="text/css">
            .main.container {
                margin-top: 7em;
            }

            img.logo {
                width: 250px !important;
            }
        </style>
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-2 col-md-2 col-sm-2 col-xs-2 bhoechie-tab-menu" style="background-color:#ffffff">
                    <a target="_blank" href="https://www.siteguarding.com">
                        <img class="img-responsive"
                             src="<?php print_r(Antivirus::GetWebsiteURL() . Antivirus::$antivirus_assets_folder); ?>logo_siteguarding.svg">
                    </a>
                </div>
                <div class="col-lg-10 col-md-10 col-sm-10 col-xs-10 bhoechie-tab-menu">
                    <ul class="list-inline text-center">
                        <li><a target="_blank"
                               href="https://www.siteguarding.com/en/buy-service/website-antivirus-protection">Get
                                Pro<a/></li>
                        <li><a target="_blank" href="https://www.siteguarding.com/en/protect-your-website">Protect <a/>
                        </li>
                        <li><a target="_blank" href="https://www.siteguarding.com/en/services/malware-removal-service">Malvare
                                Removal<a/></li>
                        <li id="services_id" style="position:relative;"><a href="#">Services<a/>
                                <ul id="dd_menu_id">
                                    <li><a target="_blank"
                                           href="https://www.siteguarding.com/en/services/malware-removal-service">Malware
                                            Removal</a></li>
                                    <li><a target="_blank" href="https://www.siteguarding.com/en/protect-your-website">Website
                                            Protection</a></li>
                                    <li><a target="_blank" href="https://www.siteguarding.com/en/website-antivirus">Website
                                            Antivirus</a></li>
                                    <li><a target="_blank" href="https://www.siteguarding.com/en/secure-web-hosting">Secure
                                            Web Hosting</a></li>
                                    <li><a target="_blank"
                                           href="https://www.siteguarding.com/en/importance-of-website-backup">Website
                                            Backup Service</a></li>
                                    <li><a target="_blank"
                                           href="https://www.siteguarding.com/en/servers-and-server-management">Secured
                                            Servers & VPS</a></li>
                                    <li><a target="_blank"
                                           href="https://www.siteguarding.com/en/wordpress-security-services">WP
                                            Security Services</a></li>
                                    <li><a target="_blank" href="https://www.siteguarding.com/en/ssl-certificate">SSL
                                            certificate</a></li>
                                    <li><a target="_blank" href="https://www.siteguarding.com/en/website-firewall">Website
                                            Firewall</a></li>
                                </ul></li>
                        <li><a target="_blank" target="_blank" href="https://www.siteguarding.com/en/contacts">Contact
                                Us<a/></li>
                    </ul>
                </div>

            </div>
        </div>


    <?php
    }

    static function Get_License_info()
    {
        $domain = self::GetDomain();
        $access_key = self::Get_Access_Key();


        $link = self::$SITEGUARDING_SERVER . '?action=licenseinfo&type=json&data=';
        $link_https = self::$SITEGUARDING_SERVER_HTTPS . '?action=licenseinfo&type=json&data=';

        $data = array(
            'domain' => $domain,
            'access_key' => $access_key,
            'product_type' => 'any'
        );

        $link .= base64_encode(json_encode($data));
        $link_https .= base64_encode(json_encode($data));

        $request = Sg_EasyRequest::create($link);
        $request->send();
        $content = $request->getResponseBody();
        $error = $request->getDebugInfo();
		$error = $error['errors'];

        if ((count($error) > 0) || empty($content)) {
            $request = Sg_EasyRequest::create($link_https);
            $request->send();
            $content = $request->getResponseBody();
            if (empty($content)) {
                return false;
            } else {
                $output = (array)json_decode($content, true);
                return $output;
            }

        }
        $output = (array)json_decode($content, true);
        return $output;
    }

    static function Get_Access_Key()
    {
        include_once(self::GetPath() . self::$antivirus_work_folder . 'antivirus_config.php');

        return ACCESS_KEY;
    }

    static function GetDomain()
    {
        $host_info = parse_url(self::GetWebsiteURL());
        if ($host_info == NULL) return false;
        $domain = $host_info['host'];
        if ($domain[0] == "w" && $domain[1] == "w" && $domain[2] == "w" && $domain[3] == ".") $domain = str_replace("www.", "", $domain);
        return $domain;
    }

}


