<?php
// Manual installation of antivirus website protection

/**
 * Website: http://www.siteguarding.com/
 * Email: support@siteguarding.com
 *
 * @author John Coggins
 * @version 1.2
 * @date 17 Oct 2016
 * @package SiteGuarding Antivirus Installer
 */

define('MAIN_SERVER_URL', 'http://www.siteguarding.com/_get_file.php?file=');
define('MAIN_SERVER_URL_HTTPS', 'https://www.siteguarding.com/_get_file.php?file=');

error_reporting(0);

// Init
define('HTTP_NL', "\r\n");

$script_path = dirname(__FILE__);

if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN') {    // Windows
    $DIRSEP = '\\';
} else {
    // Unix
    $DIRSEP = '/';
}

$httpClient = $script_path .$DIRSEP.'HTTPClient.php';
$docuHttpClient = $script_path .$DIRSEP.'DokuHTTPClient.php';

if(file_exists($httpClient) && file_exists($docuHttpClient)) {
    require_once($httpClient);
    require_once($docuHttpClient);
}

$result = array();
$result['status'] = 'ok';

// Checks server settings before installation 

// Check if dir is writable
if (!is_writable($script_path)) {
    $result['status'] = 'error';
    $result['errors'][] = 'Folder is not writeable';
}

// Check CURL
if (!function_exists('curl_init')) {
    $result['status'] = 'error';
    $result['errors'][] = 'CURL is not installed on your server. Please contact your hoster support.';
}

if ($result['status'] == 'error') {
	print_r(json_encode($result));
    return;
}

// Download and create the files

$access_key = trim(filter_input(INPUT_GET,'access_key'));

// Create index.html
CreateFile($script_path, 'index.html', '<html><body bgcolor="#FFFFFF"></body></html>');


// Create antivirus_config.php
$file_content = '<?php' . "\n" .
    'define("ACCESS_KEY", "' . $access_key . '");' . "\n" .
    '?>' . "\n";
CreateFile($script_path, 'antivirus_config.php', $file_content);

// Remove .htaccess 
if (file_exists($script_path . $DIRSEP . '.htaccess')) unlink($script_path . $DIRSEP . '.htaccess');

// Create antivirus.php
$url = MAIN_SERVER_URL . 'antivirus&time=' . time();
$url_https = MAIN_SERVER_URL_HTTPS . 'antivirus&time=' . time();
$dst = $script_path . '/antivirus.php';
$status = CreateRemote_file_contents($url, $dst);
if ($status === false) $status = CreateRemote_file_contents($url_https, $dst);
if ($status === false) $status = CreateRemote_file_contents_HTTPClient($url, $dst);
if ($status === false) $status = CreateRemote_file_contents_HTTPClient($url_https, $dst);

// Delete this setup.php
unlink(__FILE__);

$result['status'] = 'ok';   // With any result it will be OK
$result['errors'][] = '';

print_r(json_encode($result));
return;

/**
 * Functions
 */

function Read_File($path, $file)
{
    $contents = '';

    $filename = $path . '/' . $file;
    if (file_exists($filename)) {
        $fp = fopen($filename, "r");
        $contents = fread($fp, filesize($filename));
        fclose($fp);

        $contents .= "\n\n";
    }

    return $contents;
}

function CreateFile($path, $file, $content)
{
    $fp = fopen($path . '/' . $file, 'w');
    fwrite($fp, $content);
    fclose($fp);
}

function CreateRemote_file_contents($url, $dst)
{
    if (extension_loaded('curl')) {
        $dst = fopen($dst, 'w');

        $ch = curl_init();

        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)");
        curl_setopt($ch, CURLOPT_TIMEOUT, 3600);
        curl_setopt($ch, CURLOPT_TIMEOUT_MS, 3600000);
        curl_setopt($ch, CURLOPT_FILE, $dst);
        curl_setopt($ch, CURLOPT_FAILONERROR, true);
        curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 10); // 10 sec
        curl_setopt($ch, CURLOPT_CONNECTTIMEOUT_MS, 10000); // 10 sec
        curl_setopt($ch, CURLOPT_BINARYTRANSFER, 1);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);

        $a = curl_exec($ch);
        if ($a === false) return false;

        $info = curl_getinfo($ch);

        curl_close($ch);
        fflush($dst);
        fclose($dst);

        if ($info['size_download'] == 0) return false;

        return $info['size_download'];
    } else return false;
}

function CreateRemote_file_contents_HTTPClient($url, $dst)
{
    if (class_exists('HTTPClient')) {
        $client = new HTTPClient();
        $client->timeout = 600;
        $client->agent = 'Mozilla/5.0 (compatible; MSIE 8.0; Windows NT 6.0; Trident/4.0; Acoo Browser 1.98.744; .NET CLR 3.5.30729)';

        $content = $client->get($url);

        if ($content === false || trim($content) == '') return false;

        $fp = fopen($dst, 'w');
        if ($fp === false) return false;
        $a = fwrite($fp, $content);
        if ($a === false) return false;
        fclose($fp);

        return true;
    } else return false;
}





